2008年2月19日

[mew-dist 28082] Re: cmew.rb and smew.rb

On February 19, 2008, [mew-dist 28073],
kazu (at iij.ad.jp) wrote:

> 木下さん、とりあえず、以下のようなコードでうまく行くか試して頂けないでしょうか?
>
> ---
> begin
> require 'rubygems'

> gem 'sqlite3-ruby'
> rescue LoadError
> end
> require 'sqlite3'
[...]
> 木下さんの環境が、
> require 'sqlite3'
> だけで OK なら、上のコードでも OK なはずです。

はい、OKでした。ちなみに環境は、Debian unstable i386でDebianパッケージ
のlibsqlite3-rubyを入れた状態です。

ちなみに元のコードでは、RubyGems無しだと、

no such file to load -- rubygems (LoadError)

RubyGems有りでRubyGemパッケージのsqlite3-rubyを入れていない状態だと、

Could not find RubyGem sqlite3-ruby (>= 0) (Gem::LoadError)

というふうにエラーになります。

--
木下達也

投稿者 xml-rpc : 2008年2月19日 21:43
役に立ちました?:
過去のフィードバック 平均:(0) 総合:(0) 投票回数:(0)
本記事へのTrackback: http://hoop.euqset.org/blog/mt-tb2006.cgi/69962
トラックバック
コメント
コメントする




画像の中に見える文字を入力してください。